Subject: R: High load average but low cpu (xenomai can be the explanation?)

From: "[email-masked]" <[email-masked]>
Date: Tue, 22 Sep 2009 10:14:42 +0200 (CEST)

It is an AgentX subagent, it does a lot of things like accessing the hardware, 
handling messages from the main snmp agent received from an unix socket, 
writing files on jffs2 partition, polling hardware for alarms.
If I kill it, 
the load goes down. Anyway the subagent only takes 2-3% of the CPU..

Thank 
you,
Antonio.

>Da: [email-masked]
>
>Can you give us some more details 
about your app?
>Is it multithread or single process?
>What do the process do?

>
>Bye Daniele
>
>
>
>-----Messaggio originale-----
>Da: linuxppc-dev-
bounces+daniele.bosi=[email-masked] [mailto:linuxppc-dev-
bounces+daniele.bosi=[email-masked]] Per conto di [email-masked]

>Oggetto: High load average but low cpu (xenomai can be the explanation?)
>

>Hi,
>
>I have an MPC880 @133MHz. If I look into the load (with uptime) I get

>values around 3.0 but my CPU is always under 5 percent (top). How could I

>explain this? I'm using linux 2.6.19 with xenomai but no xenomai application 
is
>running at all. I have a cramfs on a nor flash. What could be the problem? 
If I
>kill the process I developed the average load goes down.
>
>Thank you,

>Adi
>_______________________________________________
>Linuxppc-dev mailing 
list
>[email-masked]
>https://lists.ozlabs.org/listinfo/linuxppc-
dev
>_______________________________________________
>Linuxppc-dev mailing list

>[email-masked]
>https://lists.ozlabs.org/listinfo/linuxppc-dev